<template>
  <div class="flex items-center flex-auto">
    <div class="announcement-icon mr-2">
      <SvgIcon svg-name="icon-notice" />
    </div>
    <Vue3Marquee class="w-full">
      <span class="text-sm --text font-medium">{{ announcement }}</span>
    </Vue3Marquee>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  name: "Announcement",
  props: {
    announcement: {
      type: String,
      required: true,
    },
  },
  setup() {
    const { getAssetImage } = commonHelper;
    return {
      getAssetImage,
    };
  },
});
</script>
<style scoped>
.announcement-icon svg {
  height: 12px;
  object-fit: contain;
  width: 12px;
}
.announcement-icon .text {
  fill: var(--tertiary);
}
</style>
